%{?nodejs_find_provides_and_requires}

%global packagename touch

# missing dependency npm(mutate-fs)
%global enable_tests 0

Name:		nodejs-touch
Version:	3.1.0
Release:	1%{?dist}
Summary:	Like touch(1) in node

License:	ISC
URL:		https://github.com/isaacs/node-touch
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
Source11:	https://raw.githubusercontent.com/isaacs/node-touch/master/LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(nopt)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(mutate-fs)
%endif

%description
Like touch(1) in node


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# license
cp -p %{SOURCE11} .


# fix script interpreter
sed -i '1s/env //' bin/*.js

%nodejs_fixdep nopt

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test test/*.js --100 -J
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 30 2017 Jared Smith <jsmith@fedoraproject.org> - 3.1.0-1
- Initial packaging
